%define upstream_name    Convert-GeekCode
%define upstream_version 0.63

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Convert and generate geek code sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
*Convert::GeekCode* converts and generates Geek Code sequences (cf. the
http://geekcode.com/ manpage). It supports different langugage codes and
user-customizable codesets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/geekdec
/usr/bin/geekgen
/usr/share/man/man1/geekdec.1.xz
/usr/share/man/man1/geekgen.1.xz

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.630.0-6.mga6
+ Revision: 1024371
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.630.0-5.mga6
+ Revision: 937980
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.630.0-4.mga5
+ Revision: 739300
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.630.0-3.mga5
+ Revision: 684017
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.630.0-2.mga4
+ Revision: 528806
- Mageia 4 Mass Rebuild

* Thu Jun 27 2013 shlomif <shlomif> 0.630.0-1.mga4
+ Revision: 447577
- update to 0.63

* Sun Jan 13 2013 umeabot <umeabot> 0.620.0-2.mga3
+ Revision: 364794
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.620.0-1.mga2
+ Revision: 175457
- imported package perl-Convert-GeekCode


* Sat Dec 03 2011 cpan2dist 0.62-1mga
- initial mageia release, generated with cpan2dist
